<%-- 
    Document   : authentificationJSP
    Created on : 18 oct. 2021, 11:09:26
    Author     : Millot.Thomas
--%>
<%@include file="jspf/enteteJSPF.jspf" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@page import="com.test.forms.AuthentifForm" %>

<!-- Affichage du formulaire si l'utilisateur ne s'est pas encore authentifi -->
<div id="contenu">
    <h2>Merci de vous identifier pour acceder aux dossiers</h2>
    <form name="frmIdentification" method="POST" action="Profil">
        <c:choose>
            <c:when test="${empty param.ztPseudo}">
                <fieldset><legend>Identification utilisateur</legend>
                    <br /><br />
                    <label for="nom">Nom du compte</label>
                    <input type="text" 	name="ztPseudo"  size="30" maxlength="45" 	placeholder="Entrez votre nom d'Utilisateur">
                    </p>
                    <p>
                        <label for="mdp">Mot de passe</label>
                        <input type="password"  name="ztMDP" size="30" 	maxlength="45" 	placeholder="Entrez votre Mot de Passe">
                    </p><br /><br />
                    <input type="submit" 	name="valider"		value="Valider">
                    <input type="reset" 	name="annuler" 		value="Annuler">
                    </p>
                </fieldset>
            </c:when>  
            <c:otherwise>
                <!--    Si l'utilisateur s'est authentifi,
                 Affichage du message contenu dans l'objet controlForm de type AuthentifForm -->
                <p>${controlForm.getResultat()}</p>
            </c:otherwise>
        </c:choose>
    </form>
    <br /><br/>
</div>
</html>
